SalesOS.

Buyer Intent

Buyer engagement signals and intent scoring

Buyer Intent Controller_get Scores

GET
/v1/buyer-intent/scores

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/buyer-intent/scores" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_get Contact Score

GET
/v1/buyer-intent/scores/{contactId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

contactIdRequiredstring
curl -X GET "https://api.salesos.org/v1/buyer-intent/scores/<string>" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_get Account Intent

GET
/v1/buyer-intent/accounts/{accountId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

accountIdRequiredstring
curl -X GET "https://api.salesos.org/v1/buyer-intent/accounts/<string>" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_get Dashboard Stats

GET
/v1/buyer-intent/stats

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/buyer-intent/stats" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_get Alerts

GET
/v1/buyer-intent/alerts

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/buyer-intent/alerts" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_get Config

GET
/v1/buyer-intent/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X GET "https://api.salesos.org/v1/buyer-intent/config" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_update Config

PATCH
/v1/buyer-intent/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X PATCH "https://api.salesos.org/v1/buyer-intent/config" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_update Config Put

PUT
/v1/buyer-intent/config

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

curl -X PUT "https://api.salesos.org/v1/buyer-intent/config" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_recalculate

POST
/v1/buyer-intent/recalculate/{entityId}

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Path Parameters

entityIdRequiredstring
curl -X POST "https://api.salesos.org/v1/buyer-intent/recalculate/<string>" \
  -H "Authorization: Bearer <token>"

Buyer Intent Controller_get Top Prospects

GET
/v1/buyer-intent/top-prospects

Authorization

AuthorizationRequiredBearer <token>

Enter your JWT token

In: header

Query Parameters

limitRequiredstring
curl -X GET "https://api.salesos.org/v1/buyer-intent/top-prospects?limit=%3Cstring%3E" \
  -H "Authorization: Bearer <token>"